<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>Magic Knight Factory</title>
</head>
<body>
    <div class="py-3 text-center">
        <div class="container">
            <div class="row">
                <div class="mx-auto p-4 col-md-7">
                    <h1 class="mb-4">Magic Knight Factory</h1>
                    <p class="mb-4">Insert parameters</p>
                    <form th:action="@{/newKnight}" method="POST">
                        <div class="form-group">
                            <input type="text" class="form-control" name="name" placeholder="Name">
                            <select class="form-control" name="type">
                                <option value="" selected disabled>Select Category</option>
                                <option value="Dire" th:text="${'THE STRONGEST MAGIC KNIGHT CLASS EVER'}"></option>
                                <!-- BONUS : Replace these hard-coded types below. Replace it using controller instead -->
                                <option value="Duellist" th:text="Duellist"></option>
                                <option value="Warlock" th:text="Warlock"></option>
                                <option value="Paladin" th:text="Paladin"></option>
                            </select>
                        </div>
                        <button type="submit" class="btn btn-outline-primary btn-block">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="py-3 text-center">
                <h2 style="text-align: center; font-size: x-large;">MAGIC KNIGHTS</h>
            </div>
                <div class="border" th:each="knight:${magicians}">
                    <h2 th:text="${knight.getName()}"></h2>
                    <h3 th:text="${knight.getAura().activate()}"></h3>
                    <h3 th:text="${knight.getSpell().cast()}"></h3>
                    <h3 th:text="${knight.getWeapon().attack()}"></h3>
    </div>
</body>
</html>